# Uses of Class
org.globus.gsi.TrustedCertificates

Packages that use TrustedCertificates
Package
Description
org.globus.axis.transport
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.bc
org.globus.gsi.gssapi
The Java GSI library is an implementation of the Java GSS-API.
org.globus.gsi.proxy

## Uses of TrustedCertificates in org.globus.axis.transport

Methods in org.globus.axis.transport with parameters of type TrustedCertificates
Modifier and Type
Method
Description
`protected void`
SSLContextHelper.`init(String host, int port, Authorization auth, Boolean anonymous, GSSCredential cred, Integer protection, TrustedCertificates trustedCerts)`
Constructors in org.globus.axis.transport with parameters of type TrustedCertificates
Modifier
Constructor
Description
``
`SSLContextHelper(String host, int port, Authorization auth, Boolean anonymous, GSSCredential cred, Integer protection, TrustedCertificates trustedCerts)`

## Uses of TrustedCertificates in org.globus.gsi

Methods in org.globus.gsi that return TrustedCertificates
Modifier and Type
Method
Description
`static TrustedCertificates`
TrustedCertificates.`getDefault()`
Deprecated.
Obtains the default set of trusted certificates and signing policy
`static TrustedCertificates`
TrustedCertificates.`getDefaultTrustedCertificates()`
Deprecated.
Obtains the default set of trusted certificates and signing policy
`static TrustedCertificates`
TrustedCertificates.`load(String locations)`
Deprecated.
Methods in org.globus.gsi with parameters of type TrustedCertificates
Modifier and Type
Method
Description
`static CertStore`
TrustedCertificatesUtil.`createCertStore(TrustedCertificates tc)`
Deprecated.
Create a CertStore object from TrustedCertificates.
`static void`
TrustedCertificates.`setDefaultTrustedCertificates(TrustedCertificates trusted)`
Deprecated.
Sets the default set of trusted certificates to use.

## Uses of TrustedCertificates in org.globus.gsi.bc

Methods in org.globus.gsi.bc with parameters of type TrustedCertificates
Modifier and Type
Method
Description
`static GSIConstants.CertificateType`
BouncyCastleUtil.`getCertificateType(X509Certificate cert, TrustedCertificates trustedCerts)`
Deprecated.
`static GSIConstants.CertificateType`
BouncyCastleUtil.`getCertificateType(org.bouncycastle.asn1.x509.TBSCertificateStructure crt, TrustedCertificates trustedCerts)`

## Uses of TrustedCertificates in org.globus.gsi.gssapi

Fields in org.globus.gsi.gssapi declared as TrustedCertificates
Modifier and Type
Field
Description
`protected TrustedCertificates`
GlobusGSSContextImpl.`tc`

## Uses of TrustedCertificates in org.globus.gsi.proxy

Methods in org.globus.gsi.proxy with parameters of type TrustedCertificates
Modifier and Type
Method
Description
`protected void`
ProxyPathValidator.`validate(X509Certificate[] certPath, TrustedCertificates trustedCerts)`
Performs certificate path validation.
`protected void`
ProxyPathValidator.`validate(X509Certificate[] certPath, TrustedCertificates trustedCerts, CertificateRevocationLists crlsList)`
`protected void`
ProxyPathValidator.`validate(X509Certificate[] certPath, TrustedCertificates trustedCerts, CertificateRevocationLists crlsList, Boolean enforceSigningPolicy)`
Performs certificate path validation.